Bug 84214 - xscreensaver crashes X server
Summary: xscreensaver crashes X server
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 16:26 UTC by Chris Ricker
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 19:19:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X configu (3.26 KB, text/plain)
2003-02-13 16:27 UTC, Chris Ricker
no flags Details
X log file (31.74 KB, text/plain)
2003-02-13 16:28 UTC, Chris Ricker
no flags Details

Description Chris Ricker 2003-02-13 16:26:48 UTC
I'm running pre-beta5 (XFree86-4.2.99.4-20030129.5 ; xscreensaver-4.06-5) on a
system with a
GeForce2 MX video card

When I lock the screen with xscreensaver, the X server crashes after a
non-deterministic period of time

Nothing too interesting in ~/.xsession-errors:

<snip>
xscreensaver-command: activating and locking.

The application 'gnome-session' lost its connection to the display :0.0;
most likely the X server was shut down or you killed/destroyed
the application.
The application 'gnome-panel' lost its connection to the display :0.0;
<snip>

So it locks, then crashes, but no record why

Similarly, the log doesn't say anything. I'll attach that and the configu in a sec

Comment 1 Chris Ricker 2003-02-13 16:27:19 UTC
Created attachment 90054 [details]
X configu

Comment 2 Chris Ricker 2003-02-13 16:28:11 UTC
Created attachment 90055 [details]
X log file

Comment 3 Chris Ricker 2003-02-20 04:28:42 UTC
see this with beta5 as well

the molecule3d screensaver seems particularly good at triggering it

Comment 4 Mike A. Harris 2004-09-24 19:19:55 UTC
We believe this issue to be resolved in our currently supported
OS releases.

Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.



Note You need to log in before you can comment on or make changes to this bug.